LibreOffice: XConsoleHandler Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XConsoleHandler Interface Reference

implemented by a log handler whose output channel is the processes console. More...

`import "XConsoleHandler.idl";`

Inheritance diagram for XConsoleHandler:

## Public Attributes
long | Threshold
| denotes the LogLevel threshold used to determine to which console the events should be logged.
Public Attributes inherited from XLogHandler
string | Encoding
| specifies MIME charset name for the encoding to be used by this handler
XLogFormatter | Formatter
| specifies the formatter to be used by this handler.
long | Level
| specifies the log level of this handler

## Additional Inherited Members
Exported Interfaces inherited from XLogHandler
interface | ::com::sun::star::lang::XComponent
| allows life time control for the handler
Public Member Functions inherited from XLogHandler
void | flush ()
| flushes all buffered output of the handler
boolean | publish ([in] LogRecord Record)
| publish the given log record at the handler's output channel.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

implemented by a log handler whose output channel is the processes console.

Note that a console handler will ignore its formatter's head and tail, since it cannot decided whether they should be emitted on `stdout` or `stderr`.

Since
  OOo 2.3

## Member Data Documentation

## ◆ Threshold

long Threshold
| attribute

denotes the LogLevel threshold used to determine to which console the events should be logged.

Events with a level greater or equal to `Threshold` will be logged to `stderr`, all others to `stdout`.

The default value for this attribute is LogLevel::SEVERE.

The documentation for this interface was generated from the following file:

- com/sun/star/logging/XConsoleHandler.idl